<?php

$css = file_get_contents('common.css');

foreach (glob('country/*.png') as $file)
{
	if (!preg_match('_([a-z]{2})\.png_', $file, $m)) continue;
	
	$size = getimagesize($file);
	
	$cc = $m[1];
	$w = $size[0];
	$h = $size[1];
	
	$css = str_replace('.country-' . $cc . ' { width: 1px; height: 1px;', '.country-' . $cc . ' { width: ' . $w . 'px; height: ' . $h . 'px;', $css);
}

file_put_contents('common-new.css', $css);

?>